Katello - Bug #6880

katello/satellite kickstart default for rhel includes puppet in packages list, branding

08/01/2014 06:57 AM - Stephen Benjamin

Status: Closed
Priority: Normal
Assignee: Stephen Benjamin
Category: Hosts
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1102864 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/451
6
Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1102864
Description of problem:
the "Katello kickstart default for RHEL" template includes puppet in the packages list

Version-Release number of selected component (if applicable):
foreman-1.6.0.13-1.el6sat.noarch
foreman-compute-1.6.0.13-1.el6sat.noarch
foreman-gce-1.6.0.13-1.el6sat.noarch
foreman-libvirt-1.6.0.13-1.el6sat.noarch
foreman-ovirt-1.6.0.13-1.el6sat.noarch
foreman-postgresql-1.6.0.13-1.el6sat.noarch
foreman-proxy-1.6.0.6-1.el6sat.noarch
foreman-vmware-1.6.0.13-1.el6sat.noarch
katello-1.5.0-25.el6sat.noarch

katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.44-1.el6sat.noarch
pulp-katello-plugins-0.3-1.el6sat.noarch
ruby193-rubygem-foreman_bootdisk-2.0.6-1.1.el6sat.noarch
ruby193-rubygem-foreman_discovery-1.3.0-0.1.rc2.el6sat.noarch
ruby193-rubygem-foreman_hooks-0.3.5-2.el6sat.noarch
ruby193-rubygem-foreman-redhat_access-0.0.4-1.el6sat.noarch
ruby193-rubygem-foreman-tasks-0.5.7-2.el6sat.noarch
ruby193-rubygem-katello-1.5.0-51.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.1-5.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.4-4.el6sat.noarch

How reproducible:
100%

Steps to Reproduce:
1. Open "katello kickstart default for rhel" provisioning template

Actual results:

Y%packages --ignoremissing
yum

dhclient

ntp

wget

@Core

puppet

Expected results:
Y%packages --ignoremissing
yum
dhclient
ntp
wget
@Core

Additional info:
puppet only becomes available after registration with an activation key, as it is not in the RHEL kickstart repo (it's part of
rh-common").

Related issues:
Related to Katello - Bug #7049: Puppet not being installed in kickstart katello Duplicate

Associated revisions

Revision 6b648f8f - 08/01/2014 06:32 AM - Stephen Benjamin

fixes #6880 - remove puppet from packages section

Revision 194ed43e - 08/04/2014 10:07 AM - Stephen Benjamin
Merge pull request #4516 from stbenjam/6880

fixes #6880 - remove puppet from packages section

History

#1 - 08/01/2014 06:59 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4516 added
- Pull request deleted ()

#2 - 08/01/2014 04:26 PM - Eric Helms

- Triaged changed from No to Yes

#3 - 08/04/2014 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|6b648{8f30c7af40771668aadaddd5a3e7a2aech.

#4 - 08/04/2014 03:11 PM - Partha Aji

- Assignee changed from Partha Aji to Stephen Benjamin

#5 - 08/12/2014 11:22 AM - Leah Fisher

Due to this change, we are now not trying to install puppet at all, but are expecting puppet to be configured if puppet_enable is true. Don't we need a
yum install puppet before we start configuring puppet?

#6 - 08/12/2014 12:18 PM - Stephen Benjamin

It's there.

https://github.com/Katello/katello/blob/master/app/views/foreman/unattended/kickstart-katello_rhel.erb#L91

#7 - 08/12/2014 12:20 PM - Stephen Benjamin

Ah, | see, it's not in the other one:

https://github.com/Katello/katello/blob/master/app/views/foreman/unattended/kickstart-katello.erb

Can you file a separate issue please?

In reality, these templates are 90+% similar and should just be turned into one, no need to have separate templates for CentOS and RHEL.

#8 - 08/14/2014 10:15 AM - Eric Helms
https://projects.theforeman.org/projects/katello/repository/katello/revisions/6b648f8f30c7af40771668aada4dd5a3e7a2aec5
https://github.com/Katello/katello/blob/master/app/views/foreman/unattended/kickstart-katello_rhel.erb#L91

- Related to Bug #7049: Puppet not being installed in kickstart katello added

#9 - 08/22/2014 09:24 AM - Eric Helms

- translation missing: en.field_release set to 13
